Showroom Mobile Banking - Bug #13232

Change all (ionBlur) into (hngModelChange)
02 March 2022 04:44 PM - chok yee fan

Status: Closed Start date: 02 March 2022
Priority: Normal Due date:

Assignee: Hoo Dextor % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

issue

the problem when user click after enter the value, have to press somewhere of the screen, then function only will trigger. Due to
using (ionBlur) method to do checking.

Expected

Change all (ionBlur) to (hgModelChange), and (ngModelChange) MUST place after the [(ngModel)].
e.g.

<ion-input (ionBlur)="checklnput()" [(ngModel)]="expDate">

change to

<ion-input [(ngModel)]="expDate" (ngModelChange)="checklnput()">

History

#1 - 04 March 2022 09:51 AM - chok yee fan
- Assignee changed from Wee Meng Soh to Megat AhmadSalehudin

after change, please test the screen you have changed, will it delay or not.

Expectation is no need click on any place of the screen, the function will trigger.

#2 - 04 March 2022 02:58 PM - Megat AhmadSalehudin

- Status changed from New to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor
- % Done changed from 0 to 100

r216534 | ahmadsalehudin | 2022-03-04 14:39:03 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/customer-onboar
ding.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/own-account/account-selection-oa/ac
count-selection-oa.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/login-secpassword.html

M /Showroom/02_BaseProjects/BASEQ00/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/tabs/tabs.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/app-preferences/change-in-a
pp-email/change-in-app-email.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/product-applicati
on.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/custom-modal/custom-modal.
html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/split-bills/split-bills.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/FPX/perform-initial-transfer.html
M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-activation/c
c-activation.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/top-up-confirm/top-up-confirm.html
M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/telegraphic-transfer/recipient-details-t
t/recipient-details-tt.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transf
er-confirmation.page.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-modal.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-confirmation.h
tml

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/telegraphic-transfer/transfer-details-tt
/transfer-details-tt.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/login-tac.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/telegraphic-transfer/purpose-details-t
t/purpose-details-tt.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/app-preferences/edit-nickna
me/edit-nickname.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-details.html

Megat - Bug #13232 - Change all (ionBlur) into (ngModelChange)

#3 - 07 March 2022 10:47 AM - Wee Meng Soh
- Status changed from Resolved to Pending SIT

Released Showroom MY SIT 1.0.0.5 in MY
#4 - 07 March 2022 03:54 PM - chok yee fan
- Status changed from Pending SIT to Feedback

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

Change all (ionBlur) to (ngModelChange), and (ngModelChange) MUST place after the [(ngModel)].
https://dev.silverlakemobility.com/redmine/issues/13232

#5 - 07 March 2022 05:17 PM - Megat AhmadSalehudin
- Status changed from Feedback to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

r216573 | ahmadsalehudin | 2022-03-07 16:57:03 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/top-up-confirm/top-up-confirm.html
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/own-account/account-selection-oa/ac
count-selection-oa.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/telegraphic-transfer/recipient-details-t
t/recipient-details-tt.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/split-bills/split-bills.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transf
er-confirmation.page.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/product-applicati
on.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/settings/app-preferences/change-in-a
pp-email/change-in-app-email.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-payee-confirmation.h
tml

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/telegraphic-transfer/transfer-details-tt
/transfer-details-tt.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/credit-cards/cc-activation/c
c-activation.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login/login-secpassword.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mby/src/app/FPX/perform-initial-transfer.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/product-application/customer-onboar
ding.html

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/telegraphic-transfer/purpose-details-t
t/purpose-details-tt.html

Megat - Bug #13232 - Change all (ionBlur) into (ngModelChange)

29 March 2025 3/4


https://dev.silverlakemobility.com/redmine/issues/13232

#6 - 08 March 2022 10:23 AM - Megat AhmadSalehudin
- Status changed from Resolved to Pending SIT

Released v1.0.0.6 SIT

#7 - 08 March 2022 02:26 PM - chok yee fan
- Status changed from Pending SIT to Closed
